Name:           ushare
Version:        1.1a
Release:        %mkrel 11
Summary:        UPnP (TM) A/V Media Server
Group:          Video/Utilities
License:        GPLv2+
URL:            http://ushare.geexbox.org/
Source0:        http://ushare.geexbox.org/releases/%{name}-%{version}.tar.bz2
Source1:        %{name}
Source2:        %{name}.crontab
Patch0:         %{name}-%{version}-fix-str-fmt.patch
Patch1:         https://dev.openwrt.org/export/28054/packages/multimedia/ushare/patches/200-compile-fixes.patch

BuildRequires:  libupnp-devel >= 1.4.2
BuildRequires:  libdlna-devel

%description
GeeXboX uShare is able to provide access to both images, videos, music or 
playlists files (see below for a complete file format support list).
It does not act as an UPnP Media Adaptor and thus,
can't transcode streams to fit the client requirements.


%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .upnp

%build
%setup_compile_flags
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --enable-dlna
make

%install
%makeinstall_std

%find_lang %{name}

#Installing a better initscript
rm -rf %{buildroot}%{_sysconfdir}/init.d
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -m 755 %{_sourcedir}/%{name} %{buildroot}%{_initrddir}/ushare
install -m 755 %{_sourcedir}/%{name}.crontab %{buildroot}%{_sysconfdir}/cron.daily/ushare

%post
%_post_service ushare

%preun
%_preun_service ushare

%files -f %{name}.lang
%{_initrddir}/ushare
%config(noreplace) %{_sysconfdir}/ushare.conf
%{_bindir}/ushare
%{_sysconfdir}/cron.daily/ushare


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1a-11.mga4
+ Revision: 521557
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.1a-10.mga3
+ Revision: 391086
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 29 2012 colin <colin> 1.1a-9.mga2
+ Revision: 234212
- Add LSB headers to initscripts (mga#5262)

* Sat Jan 28 2012 kamil <kamil> 1.1a-8.mga2
+ Revision: 202584
- rebuild against new libupnp-1.6.15
- clean .spec a bit

  + blino <blino>
    - add upnp API fixes (from openwrt)
    - imported package ushare


* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.1a-6mdv2011.0
+ Revision: 571826
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Oct 20 2008 Funda Wang <fwang@mandriva.org> 1.1a-5mdv2009.1
+ Revision: 295485
- clearify the license
- use compile flags

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.1a-4mdv2009.0
+ Revision: 255263
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1a-2mdv2008.1
+ Revision: 171159
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 26 2008 Erwan Velu <erwan@mandriva.org> 1.1a-1mdv2008.1
+ Revision: 158379
- Adding more config
- Fixing x64 build
- Fixing %%configure call
- 1.1a
-Enabling dlna
- 1.1a

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Erwan Velu <erwan@mandriva.org> 1.0-2mdv2008.0
+ Revision: 60066
- Rebuild against latest libupnp

* Tue Aug 07 2007 Erwan Velu <erwan@mandriva.org> 1.0-1mdv2008.0
+ Revision: 59907
- 1.0


* Wed Feb 28 2007 Erwan Velu <erwan@mandriva.org> 0.9.10-1mdv2007.0
+ Revision: 126991
- 0.9.10

* Sat Jan 20 2007 Erwan Velu <erwan@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 110990
- 0.9.8
- Import ushare

* Fri Jul 21 2006 Erwan Velu <erwan@mandriva.org> 0.9.7
- Initial release

